import { Config, ServerRegistration } from '@harmonyjs/apollo-fastify';
import { PersistenceContext } from '@harmonyjs/types-persistence';
import { GraphQLResolverMap } from 'apollo-graphql';
import { Controller } from '@harmonyjs/types-server';
declare const ControllerApollo: Controller<{
    path: string;
    enablePlayground?: boolean;
    mock?: boolean;
    mocks?: Config['mocks'];
    schema: string;
    resolvers: GraphQLResolverMap;
    context?: PersistenceContext;
    authentication?: Controller & {
        validator: string;
    };
    apolloConfig?: Omit<Config, 'schema' | 'playground' | 'introspection' | 'mocks' | 'mockEntireSchema' | 'context'>;
    routeConfig?: ServerRegistration['routeOptions'];
}>;
export default ControllerApollo;
